=== debian/changelog ===
fungw (1.2.0-4build1) jammy; urgency=medium

  * No-change rebuild against libduktape207

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 07 Mar 2022 17:13:40 +0000

fungw (1.2.0-4) unstable; urgency=medium

  * also need to not try and build libfungw-mruby1 on arm64

 -- Bdale Garbee <bdale@gag.com>  Fri, 18 Feb 2022 09:23:17 -0700

fungw (1.2.0-3) unstable; urgency=medium

  * a better fix for arm64 would be to elide mruby support there for now

 -- Bdale Garbee <bdale@gag.com>  Fri, 18 Feb 2022 00:23:57 -0700

fungw (1.2.0-2) unstable; urgency=medium

  * add mruby to build deps to (hopefully!) resolve -fPIC issue on arm64

 -- Bdale Garbee <bdale@gag.com>  Thu, 17 Feb 2022 23:33:49 -0700

fungw (1.2.0-1) unstable; urgency=medium

  * Initial packaging

 -- Bdale Garbee <bdale@gag.com>  Sat, 09 Oct 2021 10:25:23 -0600
