=== debian/control ===
Source: fungw
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
Uploaders: Bdale Garbee <bdale@gag.com>
Build-Depends: debhelper (>= 11), libmawk-dev, liblua5.3-dev | liblua5.2-dev | liblua5.1-0-dev, duktape-dev, libmruby-dev [!arm64], libperl-dev, libpython3-dev, tcl-dev
Standards-Version: 4.1.3
Homepage: http://repo.hu/projects/fungw
Vcs-Svn: svn://svn.repo.hu/fungw/trunk

Package: fungw
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libfungw1, libfungw-fawk1, libfungw-cli1
Description: Standard installation of libfungw
 Fungw is a tiny, portable library written in C (C89) that manages
 dynamic function calls across different programming languages.
 .
 This package installs fungw core and support for a few very small
 scripting languages.

Package: libfungw1
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Core fungw library with the API
 Fungw is a tiny, portable library written in C (C89) that manages
 dynamic function calls across different programming languages.
 .
 This package installs fungw core library that provides the API, but
 does not contain any scripting language binding.

Package: libfungw-dev
Section: libdevel
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}, libfungw1 (>= ${source:Version}), libfungw1 (<< ${source:Version}.1~)
Description: Core fungw library with the API
 Fungw is a tiny, portable library written in C (C89) that manages
 dynamic function calls across different programming languages.
 .
 This package constains all header files to allow applications to compile
 with fungw.

Package: libfungw-fawk1
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libfungw1 (>= ${source:Version}), libfungw1 (<< ${source:Version}.1~)
Description: Scripting support for fungw: fawk, fpas and fbas
 Fungw is a tiny, portable library written in C (C89) that manages
 dynamic function calls across different programming languages.
 .
 This package installs the interpreter and fungw binding of fawk
 (function-awk), fbas (function-BASIC) and fpas (function-PASCAL)

Package: libfungw-cli1
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libfungw1 (>= ${source:Version}), libfungw1 (<< ${source:Version}.1~)
Description: Scripting support for fungw: external languages (bash)
 Fungw is a tiny, portable library written in C (C89) that manages
 dynamic function calls across different programming languages.
 .
 This package installs the binding to scripting languages ran as
 an external process. Currently supported language is bash.


Package: libfungw-mawk1
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libfungw1 (>= ${source:Version}), libfungw1 (<< ${source:Version}.1~)
Description: Scripting support for fungw: mawk
 Fungw is a tiny, portable library written in C (C89) that manages
 dynamic function calls across different programming languages.
 .
 This package installs the language binding for mawk.

Package: libfungw-lua1
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libfungw1 (>= ${source:Version}), libfungw1 (<< ${source:Version}.1~)
Description: Scripting support for fungw: lua
 Fungw is a tiny, portable library written in C (C89) that manages
 dynamic function calls across different programming languages.
 .
 This package installs the language binding for lua.

Package: libfungw-duktape1
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libfungw1 (>= ${source:Version}), libfungw1 (<< ${source:Version}.1~)
Description: Scripting support for fungw: Javascript
 Fungw is a tiny, portable library written in C (C89) that manages
 dynamic function calls across different programming languages.
 .
 This package installs the language binding for Javascript (using
 duktape).

Package: libfungw-mruby1
Architecture: amd64 armel armhf i386 mips64el mipsel ppc64el s390x hurd-i386 m68k powerpc ppc64 riscv64 sh4
Depends: ${misc:Depends}, ${shlibs:Depends}, libfungw1 (>= ${source:Version}), libfungw1 (<< ${source:Version}.1~)
Description: Scripting support for fungw: ruby
 Fungw is a tiny, portable library written in C (C89) that manages
 dynamic function calls across different programming languages.
 .
 This package installs the language binding for ruby (using mruby).

Package: libfungw-perl1
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libfungw1 (>= ${source:Version}), libfungw1 (<< ${source:Version}.1~)
Description: Scripting support for fungw: perl
 Fungw is a tiny, portable library written in C (C89) that manages
 dynamic function calls across different programming languages.
 .
 This package installs the language binding for perl.

Package: libfungw-python3-1
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libfungw1 (>= ${source:Version}), libfungw1 (<< ${source:Version}.1~)
Description: Scripting support for fungw: python3
 Fungw is a tiny, portable library written in C (C89) that manages
 dynamic function calls across different programming languages.
 .
 This package installs the language binding for python 3.

Package: libfungw-tcl1
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libfungw1 (>= ${source:Version}), libfungw1 (<< ${source:Version}.1~)
Description: Scripting support for fungw: tcl
 Fungw is a tiny, portable library written in C (C89) that manages
 dynamic function calls across different programming languages.
 .
 This package installs the language binding for tcl.
