=== doc/example/00_hello/Makefile ===
all:

#nothing to do

clean:

#nothing to do
