=== debian/changelog ===
fungw (1.2.1-3build5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:00:36 +0000

fungw (1.2.1-3build4) noble; urgency=medium

  * No-change rebuild against libperl5.38t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 09 Mar 2024 18:19:25 +0000

fungw (1.2.1-3build3) noble; urgency=medium

  * No-change rebuild for python3.12 t64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 02 Mar 2024 21:09:35 +0100

fungw (1.2.1-3build2) noble; urgency=medium

  * No-change rebuild with Python 3.12 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 19 Jan 2024 19:20:53 +0000

fungw (1.2.1-3build1) noble; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 Jan 2024 14:04:10 +0100

fungw (1.2.1-3) unstable; urgency=medium

  * change control file VCS references to Debian salsa packaging repo

 -- Bdale Garbee <bdale@gag.com>  Mon, 12 Jun 2023 09:09:29 -0600

fungw (1.2.1-2) unstable; urgency=medium

  * turn off mruby support, since it's keeping us out of testing with no
    prognosis on resolution of the string of mruby CVEs

 -- Bdale Garbee <bdale@gag.com>  Thu, 08 Sep 2022 15:10:43 -0600

fungw (1.2.1-1) unstable; urgency=medium

  * new upstream version, closes: #1009416

 -- Bdale Garbee <bdale@gag.com>  Mon, 25 Apr 2022 12:05:25 -0500
