=== debian/control ===
--- 
+++ 
@@ -4,10 +4,11 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
 Uploaders: Bdale Garbee <bdale@gag.com>
-Build-Depends: debhelper (>= 11), libmawk-dev, liblua5.3-dev | liblua5.2-dev | liblua5.1-0-dev, duktape-dev, libmruby-dev [!arm64], libperl-dev, libpython3-dev, tcl-dev
+Build-Depends: debhelper (>= 11), libmawk-dev, liblua5.3-dev | liblua5.2-dev | liblua5.1-0-dev, duktape-dev, libperl-dev, libpython3-dev, tcl-dev
 Standards-Version: 4.1.3
 Homepage: http://repo.hu/projects/fungw
-Vcs-Svn: svn://svn.repo.hu/fungw/trunk
+Vcs-Git: https://salsa.debian.org/electronics-team/fungw.git
+Vcs-Browser: https://salsa.debian.org/electronics-team/fungw
 
 Package: fungw
 Architecture: any
@@ -89,15 +90,6 @@
  This package installs the language binding for Javascript (using
  duktape).
 
-Package: libfungw-mruby1
-Architecture: amd64 armel armhf i386 mips64el mipsel ppc64el s390x hurd-i386 m68k powerpc ppc64 riscv64 sh4
-Depends: ${misc:Depends}, ${shlibs:Depends}, libfungw1 (>= ${source:Version}), libfungw1 (<< ${source:Version}.1~)
-Description: Scripting support for fungw: ruby
- Fungw is a tiny, portable library written in C (C89) that manages
- dynamic function calls across different programming languages.
- .
- This package installs the language binding for ruby (using mruby).
-
 Package: libfungw-perl1
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, libfungw1 (>= ${source:Version}), libfungw1 (<< ${source:Version}.1~)
