## fungw 1.2.2

=== Makefile ===
all:
	cd libfungw && $(MAKE) all
	cd libfungwbind && $(MAKE) all
	cd regression && $(MAKE) all
	cd doc && $(MAKE) all

clean:
	cd libfungw && $(MAKE) clean
	cd libfungwbind && $(MAKE) clean
	cd regression && $(MAKE) clean
	cd doc && $(MAKE) clean
	-cd src_3rd/genht && $(MAKE) clean

distclean: clean
	cd regression && $(MAKE) distclean
	cd libfungw && $(MAKE) distclean
	cd libfungwbind && $(MAKE) distclean
	cd doc && $(MAKE) distclean
	cd scconfig && $(MAKE) distclean
	-cd src_3rd/genht && $(MAKE) clean

install:
	cd libfungw && $(MAKE) install
	cd libfungwbind && $(MAKE) install
	cd doc && $(MAKE) install


linstall:
	cd libfungw && $(MAKE) linstall
	cd libfungwbind && $(MAKE) linstall
	cd doc && $(MAKE) linstall

uninstall:
	cd libfungw && $(MAKE) uninstall
	cd libfungwbind && $(MAKE) uninstall
	cd doc && $(MAKE) uninstall
