=== scconfig/Makefile ===
--- 
+++ 
@@ -91,7 +91,7 @@
 hooks.o: ../libfungw/scconfig_hooks.h ../libfungwbind/scconfig_hooks.h
 
 clean:
-	rm $(OBJS) $(DEFAULT_MAIN_OBJS) configure sccbox cquote
+	rm $(OBJS) src/util/sccbox.o src/util/cquote.o $(DEFAULT_MAIN_OBJS) configure sccbox cquote
 
 distclean: clean
 	-rm config.cache config.log
