=== doc/example/10_script/Makefile ===
all: test_script

#CFLAGS_DBG = -g -Wall
include ../Makefile.conf

test_script: test_script.o
	$(CC) -o test_script test_script.o $(LDFLAGS) $(LIB_FGW) $(LDLIBS) $(FUNGWBIND_SRCLIBA)

test_script.o: test_script.c
	$(CC) -c $(CFLAGS) $(CFLAGS_DBG) -o test_script.o test_script.c

clean:
	-rm test_script test_script.o 2>/dev/null
