=== doc/example/15_c_call_script/Makefile ===
all: calls

#CFLAGS_DBG = -g -Wall
include ../Makefile.conf

calls: calls.o
	$(CC) -o calls calls.o $(LDFLAGS) $(LIB_FGW) $(LDLIBS)  $(FUNGWBIND_SRCLIBA)

calls.o: calls.c
	$(CC) -c $(CFLAGS) $(CFLAGS_DBG) -o calls.o calls.c

clean:
	-rm calls calls.o 2>/dev/null
