=== doc/example/60_engine_c/Makefile ===
all: test_math

#CFLAGS_DBG = -g -Wall
include ../Makefile.conf

# $(FUNGWBIND_SRCLIBA) is explained in 10_script

test_math: test_math.o eng_math.o
	$(CC) -o test_math test_math.o eng_math.o $(LDFLAGS) $(LIB_FGW) $(LDLIBS) $(FUNGWBIND_SRCLIBA)

test_math.o: test_math.c eng_math.h
	$(CC) -c $(CFLAGS) $(CFLAGS_DBG) -o test_math.o test_math.c

eng_math.o: eng_math.c eng_math.h
	$(CC) -c $(CFLAGS) $(CFLAGS_DBG) -o eng_math.o eng_math.c

clean:
	-rm test_math test_math.o eng_math.o 2>/dev/null
