=== doc/example/80_multicall/Makefile ===
all: multicall

#CFLAGS_DBG = -g -Wall
include ../Makefile.conf

multicall: multicall.o
	$(CC) -o multicall multicall.o $(LDFLAGS) $(LIB_FGW) $(LDLIBS)

multicall.o: multicall.c
	$(CC) -c $(CFLAGS) $(CFLAGS_DBG) -o multicall.o multicall.c

clean:
	-rm multicall multicall.o 2>/dev/null
