=== doc/example/87_custom_type/Makefile ===
all: custype_prop custype_lazy

CFLAGS_DBG = -g -Wall
include ../Makefile.conf

custype_prop: custype_prop.o
	$(CC) -o custype_prop custype_prop.o $(LDFLAGS) $(LIB_FGW) $(LDLIBS)

custype_prop.o: custype_prop.c
	$(CC) -c $(CFLAGS) $(CFLAGS_DBG) -o custype_prop.o custype_prop.c

custype_lazy: custype_lazy.o
	$(CC) -o custype_lazy custype_lazy.o $(LDFLAGS) $(LIB_FGW) $(LDLIBS)

custype_lazy.o: custype_lazy.c
	$(CC) -c $(CFLAGS) $(CFLAGS_DBG) -o custype_lazy.o custype_lazy.c

clean:
	-rm custype_prop custype_prop.o custype_lazy custype_lazy.o 2>/dev/null
