=== debian/changelog ===
fungw (1.2.2-1) unstable; urgency=medium

  * new upstream version
  * move fungw into the Ringdove suite on salsa

 -- Bdale Garbee <bdale@gag.com>  Wed, 17 Sep 2025 19:17:19 -0600

fungw (1.2.1-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "ftbfs with GCC-14": add patch frm ntyni to add explicit void pointer
    cast for Perl user data. (Closes: #1074973)

 -- gregor herrmann <gregoa@debian.org>  Sat, 10 Aug 2024 03:31:50 +0200
