=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: fungw
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
+Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
 Uploaders: Bdale Garbee <bdale@gag.com>
-Build-Depends: debhelper (>= 11), libmawk-dev, liblua5.3-dev | liblua5.2-dev | liblua5.1-0-dev, duktape-dev, libperl-dev, libpython3-dev, tcl-dev
+Build-Depends: debhelper-compat (= 11), libmawk-dev, liblua5.3-dev | liblua5.2-dev | liblua5.1-0-dev, duktape-dev, libperl-dev, libpython3-dev, tcl-dev
 Standards-Version: 4.1.3
 Homepage: http://repo.hu/projects/fungw
-Vcs-Git: https://salsa.debian.org/electronics-team/fungw.git
-Vcs-Browser: https://salsa.debian.org/electronics-team/fungw
+Vcs-Git: https://salsa.debian.org/electronics-team/ringdove-eda/fungw.git
+Vcs-Browser: https://salsa.debian.org/electronics-team/ringdove-eda/fungw
 
 Package: fungw
 Architecture: any
