=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE = 1
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

%:
	dh $@

override_dh_auto_clean:
	# only try to run dh_auto_clean if configure has been run
	test -f libfungw/Makefile && dh_auto_clean || true

override_dh_auto_configure:
	./configure \
		--LDFLAGS='$(LDFLAGS)' \
		--CFLAGS='$(CFLAGS) $(CPPFLAGS)' \
		\
		--prefix=/usr \

# this is needed to work around the DOCDIR bug - version > 1.1.0 won't need it
override_dh_install:
	make install DESTDIR=$(CURDIR)/debian/tmp DOCDIR=$(CURDIR)/debian/tmp/usr/share/doc/libfungw
	dh_install
